Console API
  1. Instances
Console API
  • User
    • User Info
      GET
    • Ssh keys
      GET
  • IAM
    • Add user to user group
      POST
    • Create user group
      POST
    • Get roles
      GET
    • Get all user groups v2
      GET
    • Create user group v2
      PUT
    • Detail user group v2
      GET
    • Update user group v2
      PUT
    • Delete a user group v2
      DELETE
    • Get roles v2
      GET
    • Detail role v2
      GET
    • Delete a Role v2
      DELETE
    • Get user list of all VPCs
      GET
  • Tenant / Regions
    • Get Regions & Tenant info
    • Get Tenant Info
  • Project
    • Get project list
    • Create Project
    • Detail Project
    • Delete Project
  • VPC
    • Get VPC List (Tenant Owner)
    • Get VPC List
    • Rename VPC
    • Create VPC
    • Delete VPC
    • Get VPC Quota
    • Check user can create VPC
    • Get VPCs of User v2
  • Images
    • Get images
  • Flavors
    • Get flavors
  • Storage Policy
    • List
  • Instances
    • List
      GET
    • Detail
      GET
    • Security Group
      GET
    • Create instance
      POST
    • Power off
      POST
    • Reboot
      POST
    • Power on
      POST
    • Terminate
      POST
    • Resize
      POST
    • Lock Termination
      POST
    • Rename
      POST
    • Manage tag
      POST
    • Check VPC enable NVME
      GET
    • Get Monitor performance url
      GET
  • Subnet
    • List
    • Create
    • Rename
    • Delete
    • Manage tags
  • Security group
    • Security Group List
    • Security Group Detail
    • Rule Types
    • Create Security Group
    • Create Rule
    • Apply to private ip
    • Delete Rule
    • Delete security group
    • Manage tag
    • Get application ports
    • Get quota Security Group
  • Floating IP
    • List
    • Allocate
    • Connect to instance
    • Disconnect
    • Release
    • Manage tag
  • Activity Logs
    • List
  • Tags
    • Lists
  • Billing
    • Bill
      • Get bills by date
      • Get Bills by paging
      • Bill Info
      • Bill service types
  • S3
    • Get bucket policy
    • List buckets
    • Get s3 service enabled
  • IP Access
    • API Portal Access Log
  • Metal Cloud
    • Bare Metal Servers
      • List all servers
      • Get server details
      • Get server console URL
      • Create server (V2)
      • Create server (V1)
      • Rename a server (Portal name)
      • Power on a server
      • Power off a server
      • Delete a server
    • Subnets
      • Get an available subnet
      • Create a subnet
      • List all subnets
      • Delete a subnet
      • Update a subnet
    • Network ACLs
      • List all network ACLs
      • Update a network ACL
      • Get a network ACL details
      • List all rule groups of a Network ACL
      • List all rules of a group (Network ACL)
      • Update a rule of a network ACL
    • OS images
      • List all public images
      • List all custom images
      • Upload a new custom image to S3
      • Get presigned upload URLs
      • Upload a custom image from S3 to FPT image repository
      • Delete a custom image
      • Sync an image to Console (Portal)
    • Server flavors
      • Quota list
      • Get list server flavors
  • Storage Disk
    • Create Storage Disk
    • List Storages
    • Update
    • Create snapshot
    • Tagging
    • Attach
    • Detach
    • Delete
  • Instance Group
    • Create
    • Get policies
    • Get Instance groups
    • Delete
  • Instance Schedule
    • Create
    • List
    • Update instance apply
    • Detail
    • Delete
  • VPN
    • Create
    • List
    • Update instance apply
    • Detail
    • Delete
  • Task
    • Mark as read
  • Edge Gateway
    • Get list edge gateways
  • Schemas
    • Sample Schemas
      • CreateInstanceSchema
      • Pet
      • Category
      • Tag
    • Metal Cloud
      • Request
      • Bare Metal Server details
      • Subscription
      • Package details
      • Image
  1. Instances

Create instance

POST
/api/v1/vmware/vpc/{vpc_id}/compute/instances
Domain: https://console-api.fptcloud.com

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Header Params

Body Params application/json

Example
{
    "name": "vm-2401092643",
    "hostname": "vm-2401092643",
    "catalog": "ubuntu",
    "template": "UBUNTU-18.04-07092022",
    "hw_flavor": "3d85a2e7-7bd1-4dcf-8569-3a3ede3e7638",
    "storage": {
        "profile": "Premium-SSD",
        "size_gb": 40
    },
    "nic": {
        "name": "subnet-2349-y0sjwcgy"
    },
    "floatingIpId": "new",
    "networkId": "c40ced09-0943-47f7-ac7b-bb66f5b279ea",
    "securityGroupIds": [
        "70c6a292-3d6a-4d3d-85aa-570596980061"
    ],
    "tag_ids": [
        "38a2f666-c11e-46cf-af44-4f81bf155933"
    ],
    "password": "password",
    "ssh_key": "ssh-rsa xxxx",
    "cloud_init": "cloud_init"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request POST '/api/v1/vmware/vpc/{{vpc_id}}/compute/instances' \
--header 'sec-ch-ua: "Not_A Brand";v="8", "Chromium";v="120", "Google Chrome";v="120"' \
--header 'sec-ch-ua-mobile: ?0' \
--header 'User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/120.0.0.0 Safari/537.36' \
--header 'Access-Control-Allow-Origin: *' \
--header 'Accept: application/json, text/plain, */*' \
--header 'Referer;' \
--header 'OrgId: 73a8c45d-5b52-4fa2-b626-38313e8d50a1' \
--header 'sec-ch-ua-platform: "Linux"' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "vm-2401092643",
    "hostname": "vm-2401092643",
    "catalog": "ubuntu",
    "template": "UBUNTU-18.04-07092022",
    "hw_flavor": "3d85a2e7-7bd1-4dcf-8569-3a3ede3e7638",
    "storage": {
        "profile": "Premium-SSD",
        "size_gb": 40
    },
    "nic": {
        "name": "subnet-2349-y0sjwcgy"
    },
    "floatingIpId": "new",
    "networkId": "c40ced09-0943-47f7-ac7b-bb66f5b279ea",
    "securityGroupIds": [
        "70c6a292-3d6a-4d3d-85aa-570596980061"
    ],
    "tag_ids": [
        "38a2f666-c11e-46cf-af44-4f81bf155933"
    ],
    "password": "password",
    "ssh_key": "ssh-rsa xxxx",
    "cloud_init": "cloud_init"
}'

Responses

🟢200Success
application/json
Body

Example
{}
Modified at 2026-01-22 07:44:51
Previous
Security Group
Next
Power off
Built with